# dmd.stmtstate

Used to help transform statement AST into flow graph.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: stmtstate.d

Documentation: https://dlang.org/phobos/dmd_stmtstate.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/stmtstate.d

- `StmtState`

  #### Declaration

  `struct `StmtState`(block);`

  Used to traverse the statement AST to transform it into a flow graph. Keeps track of things like "where does the `break` go".

  #### Parameters

  `block` | type of the flow graph node